#ifndef DarkRP2D_H
#define DarkRP2D_H

class DarkRP2D;
#include <SDL.h>

#include "Assets.h"
#include "Renderer.h"
#include "input/InputHandler.h"
#include "BitmapFont.h"
#include "screens/Screen.h"

class DarkRP2D
{
  private:
	SDL_Window *gWindow;
	Assets *assets;
	Renderer *renderer;
	BitmapFont *font;
	Screen *gameScreen;

  public:
	DarkRP2D(SDL_Window *gWindow) : gWindow(gWindow) {}
	~DarkRP2D();
	void create();
	void loop(unsigned int delta);
	void update(unsigned int delta);
	void render(unsigned int delta);
	void resize(int width, int height);
};

#endif
